#include <owl\applicat.h>
#include <owl\framewin.h>
#include <owl\dialog.h>
#include "pr19_1.rc"

// 
class TApp: public TApplication
{
  public:
	 TApp():TApplication(){}
	 void InitMainWindow();
};

//  
class TWndw:public TFrameWindow
{
  public:
	 TWndw(TWindow *parent, const char far *title);
  protected:
	 void CmTestDialog();

	 DECLARE_RESPONSE_TABLE (TWndw);
};

DEFINE_RESPONSE_TABLE1 (TWndw, TFrameWindow)
  EV_COMMAND(CM_TESTDIALOG,CmTestDialog),
END_RESPONSE_TABLE;


TWndw::TWndw(TWindow *parent, const char far *title):
		  TFrameWindow(parent,title)
{
	//     .
	AssignMenu("MENU_1");
	//     .
	Attr.X=50;
	Attr.Y=50;
	Attr.W=GetSystemMetrics(SM_CXSCREEN)/4;
	Attr.H=GetSystemMetrics(SM_CXSCREEN)/5;
}

// TWndw::CmTestDialog()
//      Dialog/Test
//  Dialog.
void TWndw::CmTestDialog()
{
  //   .
  TDialog *dialog = new TDialog(this, ADDRDLG);
  //   .
  int result = dialog->Execute();
  //     .
  if   (result == IDOK)
		 MessageBox("   OK", "", MB_OK);
  else MessageBox("   ", "", MB_OK);
}

void TApp::InitMainWindow()
{
  TFrameWindow *wndw=new TWndw(0,"  ");
  SetMainWindow(wndw);
}

int OwlMain(int,char *[])
{
  return TApp().Run();
}
